GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
      Get Open PositionsGet Account MarginGet Funding AmountGet Funding Amount Report FileList Funding PaymentsGet Funding Payment Report FileGet Funding Payment Report JSONGet Risk Stats
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Risk Stats

TradingDerivativesGet Risk Stats

Get Risk Stats

GEThttps://api.gemini.com/v1/riskstats/{symbol}

Retrieves risk statistics for a perpetuals trading pair, including mark price, index price, open interest, and notional open interest.

GETv1/riskstats/BTCGUSDPERP
curl --request GET \
  --url https://api.gemini.com/v1/riskstats/BTCGUSDPERP

Path Parameters

symbolstring·required
Perps Trading pair symbol BTCGUSDPERP, etc. See symbols and minimums.

Responses

The response will be an json object

product_typestring·enum
Contract type for which the symbol data is fetchedEnum values: PerpetualSwapContract
mark_pricestring (decimal)
Current mark price at the time of request
index_pricestring (decimal)
Current index price at the time of request
open_intereststring (decimal)
string representation of decimal value of open interest
open_interest_notionalstring (decimal)
string representation of decimal value of open interest notional
Example Responses
{
  "product_type": "PerpetualSwapContract",
  "mark_price": "30080.00",
  "index_price": "30079.046",
  "open_interest": "14.439",
  "open_interest_notional": "434325.12"
}
PreviousGet Funding Payment Report JSONNextMargin Trading
Last modified on May 5, 2026